zabbix_export:
  version: '6.0'
  date: '2022-12-11T19:37:52Z'
  groups:
    -
      uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    -
      uuid: 9643e18c27254747a3d033bbb777edac
      template: 'Solis Inverter RS485'
      name: 'Solis Inverter RS485'
      description: |
        Pushed to Zabbix with Zabbix sender.
        See https://ale.cx/ALEX/2022/12/getting-data-from-a-ginlong-solis-inverter-into-zabbix/
      groups:
        -
          name: Templates
      items:
        -
          uuid: 7d11c3c9f39f4a36aa7df1091f83246a
          name: 'AC output'
          type: TRAP
          key: solis.acwatts
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: W
        -
          uuid: 0cc2e66077eb4b9cba2d7eb6ff1d2022
          name: 'Lifetime generation'
          type: TRAP
          key: solis.genalltime
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: kWh
          preprocessing:
            -
              type: DISCARD_UNCHANGED
              parameters:
                - ''
        -
          uuid: 319e4f64bb474a56903916a57551036d
          name: 'Generation today'
          type: TRAP
          key: solis.gentoday
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: kWh
          preprocessing:
            -
              type: DISCARD_UNCHANGED
              parameters:
                - ''
        -
          uuid: 21d0838ba5e043b499c75425d8e97452
          name: 'Grid frequency'
          type: TRAP
          key: solis.gridfreq
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: Hz
        -
          uuid: b1cc8c4b9bf941b0883d7d35cc17b5de
          name: 'Grid current'
          type: TRAP
          key: solis.gridi
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: A
        -
          uuid: c125ada494434ce6b70e109d26e6bbd7
          name: 'Grid Voltage'
          type: TRAP
          key: solis.gridv
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: V
        -
          uuid: 68ca43d4895d49638eb0e2a184044f11
          name: 'IGBT temperature'
          type: TRAP
          key: solis.invtemp
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: C
        -
          uuid: dc799a84f2584a36a3b1ec3de796795e
          name: 'String 1 Current'
          type: TRAP
          key: solis.string1.i
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: A
        -
          uuid: 18f2c23cecab44f9bc11df07c9aee024
          name: 'String 1 Voltage'
          type: TRAP
          key: solis.string1.v
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: V
        -
          uuid: 36f959acb69047179efd9b7d286ca7b7
          name: 'String 2 Current'
          type: TRAP
          key: solis.string2.i
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: A
        -
          uuid: e95e45b2c7334499998ef998c5535dd6
          name: 'String 2 Voltage'
          type: TRAP
          key: solis.string2.v
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: V
